import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  if(process.env.NODE_ENV === 'development'){
    return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxLCJ1c2VyX2tleSI6IjAwYTM1NDQ1LWU0NjMtNGE1Ni04ODAwLWM2ZWY0NWVkOTZiMyIsInVzZXJuYW1lIjoiYWRtaW4ifQ.vCwETSaP31hNDl17XLM6DKA7vnk4UYTSRn584xkpxo1bYoRjQ3oASyhcMRJIec6xFuavZSa5FyQMJlUGF3rD0g'
  }else{
    return Cookies.get(TokenKey)
  }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
